type t =
  | Int  of int
  | Bool of bool
  | Fun  of Expr.id * Expr.t * (t Env.t)

let print = function
  | Int x  -> print_int x
  | Bool b -> print_string (if b then "true" else "false")
  | Fun _  -> print_string "<fun>"
