type token =
  | EOF
  | INT of (int)
  | BOOL of (bool)
  | ID of (string)
  | PLUS
  | MINUS
  | TIMES
  | DIV
  | EQEQ
  | GT
  | NOT
  | AND
  | IF
  | THEN
  | ELSE
  | LPAREN
  | RPAREN
  | LET
  | REC
  | EQ
  | IN
  | FUN
  | ARROW
  | END
  | SCSC

val expr :
  (Lexing.lexbuf  -> token) -> Lexing.lexbuf -> Expr.t
